a {
  color: #16b700;
}
a:visited {
  color: #16b700;
}

@font-face {
  font-family: "Perfect DOS VGA 437";
  src: url(/doswin.ttf);
}

body {
  color: #fff;
  font-family: "Perfect DOS VGA 437";
  background-color: #1e1e2e;
  font-size: 16px;
  background-image: url("imgs/ubuntu.jpg");
  background-attachment: fixed;
  background-size: cover; 
  background-position: center; 
  background-repeat: no-repeat; 
}

.terminal {
  width: 1050px;
  height: 750px;
  background-color: black;
  border-color: #11111b;
  border-width: 5px 5px 5px 5px;
  border-style: solid;
  margin-left: auto;
  margin-right: auto;
  margin-bottom:20px;
  overflow: auto;
  scrollbar-width: thin;
}

@media (max-height: 850px) {  
  .terminal {
    height: 600px; 
  }
}

@media (max-height: 719px) {
  .dock {
    display: none; 
  } 
}


.menubar {
  width: 1060px;
  height:30px;
  background-color: #11111b;
  margin-left: auto;
  margin-right: auto;
  font-family: "sans-serif";
  text-align: right;
  line-height:30px;
}

@media (min-height: 1080px) {
  .terminal {
   height: 950px;
  }
}

.button {
  background-color: #11111b;
  height: 30px;
  padding-left: 15px;
  padding-right: 15px;
  text-align: center;
  line-height: 1px;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
}

.button2 {
  height: 50px;
  padding-left: 15px;
  padding-right: 15px;
  text-align: center;
  line-height: 1px;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  transition-duration: 0.4s;
  cursor: pointer;
}


.close:hover {
  background-color: #f44336;  
}

.maximize:hover {
  background-color: #04aa6d;
}

.minimize:hover {
  background-color: #b99b46;  
}

.tux:hover {
  background-color: #d4772b; 
}

.box {
  border: 1px solid #16b700;
  background-color: black;
  margin: 5px 15px;
  padding: 10px 10px;
}

.large {
 width: 450px;
 height: 500px;
 grid-row-start: 1;
 grid-row-end: 3;
}

.wide {
  width: 480px;
  height: 225px;
}

.small {
  width: 200px;
  height: 200px;
}

.directory {
  width: 300px;
  height: 200px;
}

.fanlistings {
  width: 600px;
  height: 200px;
}

.buttons {
  width: 600px; 
  height: 120px;
}

.grid {
  width: 1050px;
  height: auto;
  display: grid; 
  grid-template-columns: auto auto;
  gap: 15px 10px;
}

.fgrid {
  width: 1100px;
  height: 300px;
  display: grid;
  grid-template-columns: auto auto;
  column-gap: 5px;
}

.superwide {
    width: 995px;
    height: auto;
    grid-column: 1 / span 2;
    margin-left: 15px;
    margin-top: 25px;
}

.dock {
  width: 100%;
  height: 50px;
  background-color: #202326;
  position: fixed;
  bottom: 0;
  margin: 0;
  padding: 0;
  left: 0;
  text-align: left;
}

 #overlay {
  position: fixed; /* Sit on top of the page content */
  display: none; /* Hidden by default */
  width: 100%; /* Full width (cover the whole page) */
  height: 100%; /* Full height (cover the whole page) */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5); /* Black background with opacity */
  z-index: 2; /* Specify a stack order in case you're using a different order for other elements */
  cursor: pointer; /* Add a pointer on hover */
}